List Google Sheets
curl --request GET \
--url https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAgent Integrations
List Google Sheets
Tabs and header columns of a Google Sheets connection, to set up after-call auto-fill
GET
/
agents
/
integrations
/
{id}
/
google-sheets
/
tabs
List Google Sheets
curl --request GET \
--url https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.60db.ai/agents/integrations/{id}/google-sheets/tabs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyTwo read-only calls that drive the tab → columns picker for sheet auto-fill.
{id} is a Google Sheets connection of your workspace. You need the integration:use permission.
| Call | Returns |
|---|---|
GET /agents/integrations/{id}/google-sheets/tabs?spreadsheet_id= | [{ "title" }] |
GET /agents/integrations/{id}/google-sheets/columns?spreadsheet_id=&sheet= | [{ "name", "letter", "index" }] from row 1 (letters go past Z: AA, AB, …) |
spreadsheet_id is the sheet’s ID or its URL. There is no call that lists your spreadsheets: Google Sheets connects with the spreadsheets permission only, so the user pastes the sheet link.
curl https://api.60db.ai/agents/integrations/<id>/google-sheets/columns?spreadsheet_id=<sheet-id>&sheet=Calls \
-H "Authorization: Bearer your-api-key"
{ "success": true, "data": [{ "name": "Name", "letter": "A", "index": 0 }, { "name": "Phone", "letter": "B", "index": 1 }] }
Errors
| Status | Code | Meaning |
|---|---|---|
| 400 | VALIDATION_ERROR | spreadsheet_id or sheet is missing or invalid |
| 404 | INTEGRATION_NOT_FOUND | Not a Google Sheets connection of your workspace |
| 422 | INTEGRATION_RECONNECT_REQUIRED | The Google sign-in cannot read this spreadsheet any more. Reconnect Google Sheets |
| 502 | INTEGRATION_* | Google refused or failed, for example INTEGRATION_AUTH_FAILED |